-- ==========================================
-- 작업일자: YYYY-MM-DD [쿼리 작성 및 실행 날짜를 기록합니다.]
-- 작 성 자: [실행자 이름을 기록합니다.]
-- 작업목적: [발주의뢰서 수량과 구매발주서 수량이 다른 것 조회하여 실무자에게 엑셀파일로 제공하여 수정하게 합니다.]
-- 요청자/티켓번호: [현업 혹은 매일 점검으로 자료 제공합니다.]
-- 데이타베이스 : MS-SQL
-- ==========================================

-- 발주의뢰서 수량과 구매발주서 수량이 다른 것 조회하기
select
	'발주의뢰서 수량과 구매발주서 수량이 다른 것', a.por_no, a.por_seq, a.pjt_no, a.main, a.sub, a.bud_seq, a.item_name, a.qty, a.w_amt, b.qty, b.w_amt, (select emp from HPOIMS.dbo.gm_poim where poim = c.poim) emp_id
from
	HPOIMS.dbo.gm_por_detail a
join
(
	select
		por_no, por_seq, sum(qty) qty, sum(w_amt) w_amt
	from
		HPOIMS.dbo.gm_po_detail 
	where 
		isnull(u_stat, '') <> 'D'
	group by
		por_no, por_seq
) b
on
	a.por_no = b.por_no 
	and a.por_seq = b.por_seq
join
(
	select distinct b.por_no, b.por_seq, a.poim from HPOIMS.dbo.gm_po a join HPOIMS.dbo.gm_po_detail b on a.po_no = b.po_no
) c
on
	a.por_no = c.por_no 
	and a.por_seq = c.por_seq
where
	a.pjt_no like 'V%'
	and a.pjt_no in (select pjt_no from HPOIMS.dbo.ys_project where closing_yn = 'N' and pjt_no like 'V%')
	and a.qty < b.qty
-- and a.qty <> b.qty
order by
	a.por_no